curl --request GET \
--url https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotency_key": "2ca58c6d-8794-4c8f-a2f6-bba4b7498b74",
"id": "2fd6bf11-2129-4061-9c2a-34e196f89753",
"account_id": "493e9374-510a-4201-9e09-de669d75f256",
"name": "VISA ****1111",
"description": "VISA ****1111",
"type": "CARD",
"category": "CARD",
"country": "US",
"status": "ENROLLED",
"sub_status": null,
"vaulted_token": "7ced7717-f860-4705-a376-58a714953de9",
"action": "FORM",
"redirect_url": null,
"created_at": "2024-06-04T12:47:46.992602Z",
"updated_at": "2024-06-04T12:47:46.992603Z",
"enrollment": {
"session": "",
"sdk_required_action": false
},
"provider": {
"id": "YUNO",
"type": "YUNO",
"token": "e47299a5-269e-42a1-9be1-9f64e400413a",
"provider_status": null
},
"customer_payer": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"gender": "M",
"date_of_birth": "1990-02-28",
"document": {
"document_number": "123456789",
"document_type": "SSN"
},
"phone": {
"number": "5551234567",
"country_code": "1"
},
"billing_address": {
"address_line_1": "123 Main St",
"address_line_2": "Apt 4B",
"country": "US",
"state": "NY",
"city": "New York",
"zip_code": "10001"
}
},
"card_data": {
"number": "4111111111111111",
"iin": "41111111",
"lfd": "1111",
"expiration_month": 3,
"expiration_year": 26,
"number_length": 16,
"security_code_length": 3,
"brand": "VISA",
"issuer": "JPMORGAN CHASE BANK N A",
"issuer_code": null,
"category": "CREDIT",
"type": "CREDIT",
"fingerprint": "55a7fe38-cdc3-45dc-8c5f-820751799c76"
},
"last_successfully_used": null,
"last_successfully_used_at": null,
"verify": {
"vault_on_success": false,
"payment": null
},
"preferred": null
}Retrieve Enrolled Payment Method by Id PCI data
payment_method_id, which is the vaulted_token received when using the Enroll Payment Method endpoint.Authorizations
Path Parameters
The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).
The unique identifier of the payment_method. This information was received as the vaulted_token by enrolling a payment method using Enroll Payment Method (UUID, 36 chars).
Response
200
"2ca58c6d-8794-4c8f-a2f6-bba4b7498b74"
"2fd6bf11-2129-4061-9c2a-34e196f89753"
"493e9374-510a-4201-9e09-de669d75f256"
"VISA ****1111"
"VISA ****1111"
"CARD"
"CARD"
"US"
"ENROLLED"
Additional status detail.
null
"7ced7717-f860-4705-a376-58a714953de9"
"FORM"
URL to redirect the customer to, for redirect workflows.
null
"2024-06-04T12:47:46.992602Z"
"2024-06-04T12:47:46.992603Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the payment method was successfully used at least once.
null
Timestamp of the last successful use (ISO 8601).
null
Show child attributes
Show child attributes
Whether this is the customer's preferred payment method.
null
Was this page helpful?